#!/bin/bash
#
# Downloading mods to local folder
# @see https://juraj-hrivnak.github.io/Pakku/pakku-fetch.html
# Следует использовать после команды sync, которая обновляет моды
#

set -eu pipefail
pakku() { pakku-mc "$@"; }
SCRIPT_DIR=$(cd -- "$(dirname -- "${BASH_SOURCE[0]}")" &> /dev/null && pwd)
REPO_ROOT="${SCRIPT_DIR}/.."
cd "${REPO_ROOT}" || exit 1

pakku fetch --shelve && mv .pakku/shelf/* mods/